Summary: A GUI text editor for systems with X and Motif.
Name: nedit
Version: 5.5
Release: 1
Source: http://nedit.org/ftp/v5_5/nedit-%{version}-src.tar.bz2
Source1: nedit.desktop
Source2: nedit-icon.png
Patch0: nedit-5.5-security.patch
Patch1: nedit-5.5-utf8.patch
Patch2: nedit-5.5-motif223.patch
Patch3: nedit-5.5-varfix.patch
Patch4: nedit-5.5-nc-manfix.patch
URL: http://nedit.org
License: GPL
Group: Applications/Editors
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
NEdit is a GUI text editor for the X Window System and Motif. NEdit is
very easy to use, especially if you are familiar with the
Macintosh(TM) or Microsoft(TM) Windows(TM) style of interface.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .utf8
%patch2 -p1 -b .motif223
%patch3 -p1 -b .varfix
%patch4 -p1 -b .nc-manfix

%build
make aix LIB=%{_lib}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
mv source/nc source/nedit-client
install -s -m 755 source/nedit source/nedit-client $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/nedit.man $RPM_BUILD_ROOT%{_mandir}/man1/nedit.1
mv doc/nc.man doc/nedit-client.man
install -m 644 doc/nedit-client.man $RPM_BUILD_ROOT%{_mandir}/man1/nedit-client.1

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/nedit.doc README ReleaseNotes
%{_bindir}/*
%{_mandir}/*/*
%config /etc/X11/applnk/Applications/nedit.desktop

%changelog
* Wed Dec 28 2005 Michael Perzl <mperzl at de dot ibm dot com>
- first version for AIX V5.1 and higher

* Mon Oct 10 2005 Jindrich Novy <jnovy@redhat.com> 5.5-5
- update nedit file locations to new xorg standards (#167208, #170937)
- rename nc to nedit-client to avoid conflict with netcat and
  modify its manpage to reflect this
- fix License to GPL

* Wed Jul 27 2005 Jindrich Novy <jnovy@redhat.com> 5.5-4
- initial Extras built

* Mon Jan 20 2005 Jindrich Novy <jnovy@redhat.com> 5.5-3
- prepare the spec and desktop file for Extras inclusion

* Wed Jan 12 2005 Jindrich Novy <jnovy@redhat.com> 5.5-2
- fix usage of uninitialized variable (#144790)

* Mon Dec 27 2004 Jindrich Novy <jnovy@redhat.com> 5.5-1
- new version 5.5

* Mon Sep 20 2004 Jindrich Novy <jnovy@redhat.com>
- added nedit icon to be present in menus #131601
- updated spec to put it to the right place
- icon made by Joor Loohuis (joor@users.sourceforge.net)
- the icon processed by Peter Vrabec (pvrabec@usu.cz)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 17 2004 Thomas Woerner <twoerner@redhat.com> 5.4-1
- new version 5.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Tim Waugh <twaugh@redhat.com>
- Don't explicitly require openmotif, since rpm does library dependencies
  automatically.
- Binary package doesn't require desktop-file-install.

* Fri Dec  5 2003 Tim Waugh <twaugh@redhat.com> 5.3-6
- Add ugly hack to work around openmotif's lack of UTF-8 support (bug #75189).
- Back-port 5.4RC2 fix for uninitialized variable (bug #110898).

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov  8 2002 Tim Waugh <twaugh@redhat.com> 5.3-3
- Handle X11 libdir issue.

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 5.3-2
- Remove original desktop file when installing.
- Fix desktop file icon (bug #61677).

* Wed Jul 24 2002 Karsten Hopp <karsten@redhat.de>
- 5.3
- use desktop-file-utils (#69461)
- redo all patches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Mar 22 2002 Tim Powers <timp@redhat.com>
- rebuilt against openmotif-2.2.2

* Fri Mar  1 2002 Than Ngo <than@redhat.com> 1.2-1
- update to 1.2
- cleanup patch files

* Thu Jan 17 2002 Than Ngo <than@redhat.com> 5.1.1-13
- rebuild against openmotif

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Oct 25 2001 Bill Nottingham <notting@redhat.com>
- 0 != NULL. lather, rinse, repeat. (#54943)

* Mon Aug 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix crash while printing (#45149)
  I still think removing the package would be the better fix, though.

* Sun Jun 10 2001 Than Ngo <than@redhat.com>
- requires lesstif-devel

* Tue May 22 2001 Tim Powers <timp@redhat.com>
- patched to use lesstif

* Fri Apr 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix security bug, use mkstemp()

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- .desktop file added

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt against openmotif-2.1.30
- use PRM macros

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- updated to 5.1.1
- updated URL and source location

* Wed Aug 18 1999 Tim Powers <timp@redhat.com>
- excludearch alpha

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2

* Thu May 21 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.0.2

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- fixed src url
- added URL tag
